{***************************************************************
 *
 * Unit Name : MainUnit
 * Purpose   : Deslphi DSK Cleaner
 * Author    : Eugen Mihailescu
 * Company   : EM Quicksoft Romania SRL
 * Copyright : 1998,2002  All rights reserved.
 * Web Site  : http://www.em-quicksoft.com
 * Support   : support@em-quicksoft.com
 * History   : 03/17/2000
 *
 ****************************************************************}

Unit MainUnit;

Interface

Uses
  Registry,
  Windows,
  Messages,
  SysUtils,
  Classes,
  Graphics,
  Controls,
  Forms,
  Dialogs,
  StdCtrls;

Type
  TfrmCleaner = Class(TForm)
    Button1: TButton;
    Button2: TButton;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Procedure Button1Click(Sender: TObject);
    Procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  End;

Var
  frmCleaner        : TfrmCleaner;

Implementation

{$R *.DFM}
//******************* TfrmCleaner.Button1Click *************************

Procedure TfrmCleaner.Button1Click(Sender: TObject);
Var
  R                 : TRegistry;
  S                 : String;
Begin
  R := TRegistry.Create;
  Try
    R.RootKey := HKEY_LOCAL_MACHINE;
    If R.OpenKey('SOFTWARE\Borland\Delphi\5.0', False) Then
      S := ExtractFilePath(R.ReadString('App'));
    If fileexists(S + 'Delphi32.dsk') Then
      If DeleteFile(S + 'Delphi32.dsk') Then
        MessageDlg('File deleted successful.', mtInformation, [mbOK], 0);
  Finally
    R.Free;
  End;
End;
//******************* TfrmCleaner.Button2Click *************************

Procedure TfrmCleaner.Button2Click(Sender: TObject);
Begin
  Close;
End;

End.

